#include <Servo.h>
Servo base;
Servo arm;
Servo fore;

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
  base.attach(9);
  arm.attach(10);
  fore.attach(11);
  base.write(90);
  arm.write(90);
  fore.write(90);
}

// the loop routine runs over and over again forever:
void loop() {
  // read the input on analog pin 0:
  int baseval = analogRead(A0); // base potentiometer
  int armval = analogRead(A1); // arm potentiometer
  int foreval = analogRead(A2); // forearm potentiometer
  
  int baseangle = map(baseval,0,1023,0,180);
  int armangle = map(armval,0,1023,0,180);
  int foreangle = map(foreval,0,1023,0,180);

  Serial.print(baseangle);
  Serial.print("....");
  Serial.print(armangle);
  Serial.print("....");
  Serial.println(foreangle);
  Serial.print("....");
  
  base.write(baseangle);
  arm.write(armangle);
  fore.write(foreangle);
  delay(10);
}
